> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Create Contractor Wallet

> Registers an external EVM wallet address for the contractor as PENDING legacy wallet rows and notifies org admins.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/self-serve-create-contractor-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-create-contractor-wallet:
    post:
      operationId: selfServeCreateContractorWallet
      summary: Self Serve Create Contractor Wallet
      description: >-
        Registers an external EVM wallet address for the contractor as PENDING
        legacy wallet rows and notifies org admins.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelfServeCreateContractorWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfServeCreateContractorWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeCreateContractorWalletRequest:
      type: object
      properties:
        label:
          type: string
          minLength: 1
          maxLength: 120
        address:
          type: string
          minLength: 1
        chain:
          type: string
        splitPercentage:
          type: number
          minimum: 0
          maximum: 100
        isPrimary:
          type: boolean
        sortOrder:
          type: integer
          minimum: 1
        selectedReceiveTokenTypeID:
          type: string
          format: uuid
        certifiedByUser:
          type: boolean
        twoFactorCode:
          type: string
      required:
        - label
        - address
    SelfServeCreateContractorWalletResponse:
      type: object
      properties:
        walletID:
          type: string
        label:
          type: string
        address:
          type: string
        chain:
          type: string
        selectedReceiveTokenTypeID:
          type:
            - string
            - 'null'
        splitPercentage:
          type: string
        isPrimary:
          type: boolean
        verifiedAt:
          type:
            - string
            - 'null'
        sortOrder:
          type: integer
      required:
        - walletID
        - label
        - address
        - chain
        - selectedReceiveTokenTypeID
        - splitPercentage
        - isPrimary
        - verifiedAt
        - sortOrder
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
